/*
 *	@(#) h/space.h 1.7 84/09/16 Copyright Microsoft Corporation, 1983
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */

/*
 * THIS FILE CONTAINS CODE WHICH IS SPECIFIC TO THE
 * INTEL 80286 CPU AND MAY REQUIRE MODIFICATION
 * WHEN ADAPTING XENIX TO NEW HARDWARE.
 */


#include  "buf.h"
#include  "tty.h"
#include  "proc.h"
#include  "text.h"
#include  "dir.h"
#include  "a.out.h"
#include  "user.h"
#include  "file.h"
#include  "inode.h"
#include  "map.h"
#include  "callo.h"
#include  "mount.h"
#include  "var.h"
#include  "utsname.h"

#ifdef PROFILING
#include  "sysinfo.h"
#endif

#include  "locking.h"
#include  "sd.h"

int Timezone=TIMEZONE;
int Dstflag=DSTFLAG;
int Cmask=CMASK;

#if NBUF==0
struct buf buf[MAXBUF+NSABUF];
#else
struct buf buf[NBUF+NSABUF];
#endif
char sabuf[NSABUF][BSIZE];
struct	hbuf	hbuf[NHBUF];	/* buffer hash table */
struct file file[NFILE];
struct inode inode[NINODE];
struct locklist locklist[NFLOCKS];
struct sd sdtab[NSDSEGS];
struct proc proc[NPROC];
struct text text[NTEXT];
struct map coremap[CMAPSIZ];
struct map swapmap[SMAPSIZ];
struct callo callout[NCALL];
struct cblock cfree[NCLIST];
struct mount mount[NMOUNT];

#ifdef PROFILING
struct sysinfo sysinfo;
struct syswait syswait;
#endif

int Hz=HZ;

struct var v=
{
	NBUF,
	NSABUF,
	NHBUF,
	NHBUF-1,
	MAXBUF,
	NCALL,
	NINODE,
	&inode[NINODE],
	NFILE,
	&file[NFILE],
	NMOUNT,
	&mount[NMOUNT],
	NPROC,
	&proc[NPROC],
	NTEXT,
	&text[NTEXT],
	NCLIST,
	MAXUPRC,
	MAXMEM,
	NFLOCKS,
	NSDSEGS,
};
